List Vector Details
curl --request GET \
--url https://app.luly.ai/api/vectors/{vector_id} \
--header 'authorization: <authorization>' \
--header 'vector_id: <vector_id>'import requests
url = "https://app.luly.ai/api/vectors/{vector_id}"
headers = {
"authorization": "<authorization>",
"vector_id": "<vector_id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', vector_id: '<vector_id>'}
};
fetch('https://app.luly.ai/api/vectors/{vector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.luly.ai/api/vectors/{vector_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <authorization>",
"vector_id: <vector_id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.luly.ai/api/vectors/{vector_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("vector_id", "<vector_id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.luly.ai/api/vectors/{vector_id}")
.header("authorization", "<authorization>")
.header("vector_id", "<vector_id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.luly.ai/api/vectors/{vector_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
request["vector_id"] = '<vector_id>'
response = http.request(request)
puts response.read_body{
{
"vector_id": "KB-55e64dae-1585-4632-ae97-c909c288c6bc",
"name": "Luly AI FAQs",
"description": "Business facts, policies, and frequently asked questions for Luly AI."
}
}
Vector Stores
List Vector Details
View the details for a specific vector store.
GET
vectors
/
{vector_id}
List Vector Details
curl --request GET \
--url https://app.luly.ai/api/vectors/{vector_id} \
--header 'authorization: <authorization>' \
--header 'vector_id: <vector_id>'import requests
url = "https://app.luly.ai/api/vectors/{vector_id}"
headers = {
"authorization": "<authorization>",
"vector_id": "<vector_id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', vector_id: '<vector_id>'}
};
fetch('https://app.luly.ai/api/vectors/{vector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.luly.ai/api/vectors/{vector_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <authorization>",
"vector_id: <vector_id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.luly.ai/api/vectors/{vector_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<authorization>")
req.Header.Add("vector_id", "<vector_id>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.luly.ai/api/vectors/{vector_id}")
.header("authorization", "<authorization>")
.header("vector_id", "<vector_id>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.luly.ai/api/vectors/{vector_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<authorization>'
request["vector_id"] = '<vector_id>'
response = http.request(request)
puts response.read_body{
{
"vector_id": "KB-55e64dae-1585-4632-ae97-c909c288c6bc",
"name": "Luly AI FAQs",
"description": "Business facts, policies, and frequently asked questions for Luly AI."
}
}
Headers
Path Parameters
Query Parameters
Include the full text of the documents stored in the vector store. This can be useful for debugging, but may return large amounts of data.
Response
{
{
"vector_id": "KB-55e64dae-1585-4632-ae97-c909c288c6bc",
"name": "Luly AI FAQs",
"description": "Business facts, policies, and frequently asked questions for Luly AI."
}
}